Routes

Get collections by user ID

GEThttps://api.insurely.com/users/{id}/collections

Returns all collections for the specified user within the client scope. Intended for backend-to-backend use with API key authentication.

Request

Path Parameters

idstring

The UUID of the user

Query Parameters

latestboolean

Return only the latest collection per company

statusInArray<string>

Filter by collection status (e.g. COMPLETED, FAILED)

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01.

Responses

Collections retrieved successfully.

Body

collectionIdstring

Unique identifier for the collection.

companystring

Insurance company identifier.

createdAtstring[date-time]

Timestamp when the collection was created.

loginMethodstring

Login method used for the collection.

statusstring

Current status of the collection.

cURL
curl https://api.insurely.com/users/{id}/collections?latest=your-value&statusIn=your-value \
  -H "authorization-token: <authorization-token>"